GNU bug report logs - #8537
2.4 : triggers libc "nlist > 1" assertion failure from --link in 'setarch i686' environment

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: libtool; Reported by: Jason Vas Dias <jason.vas.dias@HIDDEN>; merged with #8542; dated Fri, 22 Apr 2011 17:01:01 UTC; Maintainer for libtool is bug-libtool@HIDDEN.
Merged 8537 8542. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 8537 <at> debbugs.gnu.org:


Received: (at 8537) by debbugs.gnu.org; 28 Apr 2011 21:58:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 28 17:58:55 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QFZEd-0004FJ-CY
	for submit <at> debbugs.gnu.org; Thu, 28 Apr 2011 17:58:55 -0400
Received: from mail-bw0-f44.google.com ([209.85.214.44])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <vapierfilter@HIDDEN>)
	id 1QFZEb-0004F2-Bw; Thu, 28 Apr 2011 17:58:53 -0400
Received: by bwz13 with SMTP id 13so2679304bwz.3
	for <multiple recipients>; Thu, 28 Apr 2011 14:58:47 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=domainkey-signature:mime-version:sender:in-reply-to:references:from
	:date:x-google-sender-auth:message-id:subject:to:cc:content-type
	:content-transfer-encoding;
	bh=AHj3tgUMmwfSy9uHFh+MylXMhMrk+axXr8SIKmpx3lo=;
	b=U7pIuJ71l9+kC2zpvMe8FyhBraCX71RoZcuri8TkTk4um0Rxd1pk62T2NXE1IIyLVq
	T+bW3/LyPs7UD14Sjob/o1tbu+k4yd3bguR32QQ6ctZKbmdWKAP/XOqAyvVzmv5mlr1O
	ztdoOrt8FVbZQ4IOJxDj9Bk9LbSS/qvMTkDGk=
DomainKey-Signature: a=rsa-sha1; c=nofws; d=gmail.com; s=gamma;
	h=mime-version:sender:in-reply-to:references:from:date
	:x-google-sender-auth:message-id:subject:to:cc:content-type
	:content-transfer-encoding;
	b=RkOpDb+ofbZcoaJsn4sf9ZNhOn0CbUeuQi/z/mnfxGCawIniYYRjh/ZcytVKue8rTe
	VrlRplSiZfX7UIv/S8Z+b4Q6P0UVxeWtfkLQmFz50S3Dfuq3uIQLWPLbchzW7xTsuIrQ
	PyRIZu89uDpsI8orIATQ/mQ8q996fA6uXw55Q=
Received: by 10.204.18.193 with SMTP id x1mr252056bka.79.1304027926143; Thu,
	28 Apr 2011 14:58:46 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.204.67.80 with HTTP; Thu, 28 Apr 2011 14:58:25 -0700 (PDT)
In-Reply-To: <201104282004.57289.jason.vas.dias@HIDDEN>
References: <201104261338.19261.jason.vas.dias@HIDDEN>
	<201104280055.37023.jason.vas.dias@HIDDEN>
	<BANLkTinbojVYEeoNy27LL0amPfRnffvQVw@HIDDEN>
	<201104282004.57289.jason.vas.dias@HIDDEN>
From: Mike Frysinger <vapier@HIDDEN>
Date: Thu, 28 Apr 2011 17:58:25 -0400
X-Google-Sender-Auth: nMeunZ3NeOzByhMqM8Y5RGYABYY
Message-ID: <BANLkTinGH-psOk_bYgJTw1sUnWMuvbtXEw@HIDDEN>
Subject: Re: libtool must not depend on existence of system '/usr/lib*/*.la'
	files
To: jason.vas.dias@HIDDEN
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -3.9 (---)
X-Debbugs-Envelope-To: 8537
Cc: 8537 <at> debbugs.gnu.org, 8557 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.8 (---)

On Thu, Apr 28, 2011 at 15:04, Jason Vas Dias wrote:
> I'm developing a 100% GNU make(1) and bash(1) and coreutils dependant rep=
lacement for the "configure" step - NO other dependancies required -
> that will generate =A0'Makefile's and ./libtool with very simple commands=
 if it finds itself to be running on a "quick configure platform" , it will=
 skip configure
> and just generate simple autoconf generated files.

search the mailing list.  some people have already thrown together
similar things.
-mike




Information forwarded to owner <at> debbugs.gnu.org, bug-libtool@HIDDEN:
bug#8537; Package libtool. Full text available.

Message received at 8537 <at> debbugs.gnu.org:


Received: (at 8537) by debbugs.gnu.org; 28 Apr 2011 19:05:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 28 15:05:08 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QFWWR-0000Qb-Pn
	for submit <at> debbugs.gnu.org; Thu, 28 Apr 2011 15:05:08 -0400
Received: from mail-wy0-f172.google.com ([74.125.82.172])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <jason.vas.dias@HIDDEN>)
	id 1QFWWP-0000Q2-Kf; Thu, 28 Apr 2011 15:05:06 -0400
Received: by wyb29 with SMTP id 29so2466137wyb.3
	for <multiple recipients>; Thu, 28 Apr 2011 12:04:59 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=domainkey-signature:from:reply-to:to:subject:date:user-agent:cc
	:references:in-reply-to:mime-version:content-type
	:content-transfer-encoding:message-id;
	bh=yaihpO/1lIzUxZ7prMrdtNsLwsIGOlczWRQA2j8bVD0=;
	b=GeyufIL4G+VSRInP5uSJ9ZnMNyau+ZkBi2ZGgn7TxPde4iQRtH5RYnrvNoX4dPjkaR
	8USaLT/T/NXPbglT40y1wrrfN8kl361ip1HPDhtA6kqIjENkpayL1O4fiKWXPXMFH1EW
	ZfhpVqdGa0eXshBSi5x6Tl9pN2r14P3GJp3OQ=
DomainKey-Signature: a=rsa-sha1; c=nofws; d=gmail.com; s=gamma;
	h=from:reply-to:to:subject:date:user-agent:cc:references:in-reply-to
	:mime-version:content-type:content-transfer-encoding:message-id;
	b=Z6ulKv+bf9CcLs8PNIu2A2YhFDLU7oisPAlf3sqJvonBUGhZBmL5i9rcMQYJ8GAfG9
	3twN1DKbss7BMYD6V4JhTVfnXHfOZEkbLU76bEaH6APC2Q7AfH/RmaXbhDtAuPZA0x1a
	PUfBlU6HFxXBir7f6AUlMdeFpgc1K7OKDzhro=
Received: by 10.227.182.135 with SMTP id cc7mr303194wbb.91.1304017499527;
	Thu, 28 Apr 2011 12:04:59 -0700 (PDT)
Received: from jvdspc (86-45-160-146-dynamic.b-ras2.chf.cork.eircom.net
	[86.45.160.146])
	by mx.google.com with ESMTPS id bd8sm1266270wbb.65.2011.04.28.12.04.57
	(version=SSLv3 cipher=OTHER); Thu, 28 Apr 2011 12:04:58 -0700 (PDT)
From: Jason Vas Dias <jason.vas.dias@HIDDEN>
To: Mike Frysinger <vapier@HIDDEN>
Subject: Re: libtool must not depend on existence of system '/usr/lib*/*.la'
	files
Date: Thu, 28 Apr 2011 20:04:56 +0100
User-Agent: KMail/1.12.4 (Linux/2.6.38.2-jvd; KDE/4.3.4; x86_64; svn-1073138;
	2010-01-11)
References: <201104261338.19261.jason.vas.dias@HIDDEN>
	<201104280055.37023.jason.vas.dias@HIDDEN>
	<BANLkTinbojVYEeoNy27LL0amPfRnffvQVw@HIDDEN>
In-Reply-To: <BANLkTinbojVYEeoNy27LL0amPfRnffvQVw@HIDDEN>
MIME-Version: 1.0
Content-Type: Text/Plain;
  charset="iso-8859-1"
Content-Transfer-Encoding: 7bit
Message-Id: <201104282004.57289.jason.vas.dias@HIDDEN>
X-Spam-Score: -4.3 (----)
X-Debbugs-Envelope-To: 8537
Cc: 8537 <at> debbugs.gnu.org, 8557 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
Reply-To: jason.vas.dias@HIDDEN
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.3 (----)

On Thursday 28 April 2011 12:59:05 Mike Frysinger wrote:
> > And I'd still like an answer to the basic question "why is libtool doing so much on Linux
> > when gcc gets it right on its own" ?
> 
> your view of libtool is clouded by your very narrow focus on recent
> versions of gcc/Linux targets.  libtool scales to many many more
> targets, and its complex system is designed to handle severly
> deficient targets.  albeit at the cost of being more complex than
> necessary for some modern/sane targets.
> -mike

But I, as the end user and "distro maintainer" of my own distro, want to produce a compatible
version of libtool for linux for use on it that does not do anything too complicated unless it needs to .

I've always greatly admired autoconf, automake and libtool for their ability to build and install 
software on such a huge variety of platforms, but always hated trying to get them to build
and install software that is truly optimized for only one OS and toolchain .

With a "one size fits all" approach, it is too easy to make all software perform equally poorly on all platforms -
I'm not saying autoconf / automake / libtool does this, but it enforces alot of complicated configuration operations on platforms where
literally typing 'make c.o' where 'c.c' exists will do the job without anything else at all (no Makefile required even) .

I'm developing a 100% GNU make(1) and bash(1) and coreutils dependant replacement for the "configure" step - NO other dependancies required -
that will generate  'Makefile's and ./libtool with very simple commands if it finds itself to be running on a "quick configure platform" , it will skip configure 
and just generate simple autoconf generated files.
I have a make library that can source and execute m4 configure macros,  and could make it construct a "configure" script and "libtool" script in make 
"define ... endef"s that can be dumped to files or sourced . Personally, I prefer programming in GNU make(1) and using macro processors such
as cpp or autotext or the shell to programming in m4 , and there is no reason why this shouldn't be permitted on platforms with a fully functional
GNU development tools and utilities toolchain .

I'll post the results to libtool-devel@HIDDEN or whatever it should be sent when this is complete and fully tested (for Linux at least).

All the best,
Jason




Information forwarded to owner <at> debbugs.gnu.org, bug-libtool@HIDDEN:
bug#8537; Package libtool. Full text available.

Message received at 8537 <at> debbugs.gnu.org:


Received: (at 8537) by debbugs.gnu.org; 28 Apr 2011 11:59:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 28 07:59:35 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QFPsc-0007Qn-OP
	for submit <at> debbugs.gnu.org; Thu, 28 Apr 2011 07:59:35 -0400
Received: from mail-ey0-f172.google.com ([209.85.215.172])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <vapierfilter@HIDDEN>)
	id 1QFPsZ-0007QW-3B; Thu, 28 Apr 2011 07:59:32 -0400
Received: by eye13 with SMTP id 13so927857eye.3
	for <multiple recipients>; Thu, 28 Apr 2011 04:59:25 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=domainkey-signature:mime-version:sender:in-reply-to:references:from
	:date:x-google-sender-auth:message-id:subject:to:cc:content-type
	:content-transfer-encoding;
	bh=ZG0/e4aVgRc4+HhZN40etWekLsUcdSJvK8TaT4bbKvk=;
	b=VKz4clpZz7iVqYzsP/BbUq08zjzmWrUIjFxuNiZ9FRCjgsBqf3/hyKcwzo63vNLopy
	cmLmyAwUb9ZIz+NkwReQm9pKp4Mb6te29y+70H4rbfgJnaVvb99s0aB6IUohWtSyORsI
	zz6+MRuYIwyYRHo8tPKaAOA5tURNjB4B8X3IQ=
DomainKey-Signature: a=rsa-sha1; c=nofws; d=gmail.com; s=gamma;
	h=mime-version:sender:in-reply-to:references:from:date
	:x-google-sender-auth:message-id:subject:to:cc:content-type
	:content-transfer-encoding;
	b=c8wn+6QQD0CpooONED7G4bP0l6pbbUJ9vtywsmSrYpSAitxdZSo+7sBLju1h4qHoBJ
	eHlQ3QOOGoG9rKoGj0yJlqJOXHbwOe7OFXz7nzfocJ858aZWPTPfIGDyLgkGd5UDZtZ0
	J2CwXIETNLUW+7jdc4p4NdBzpNJ7LN1jjv3Fo=
Received: by 10.213.105.141 with SMTP id t13mr1583230ebo.8.1303991965152; Thu,
	28 Apr 2011 04:59:25 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.213.17.193 with HTTP; Thu, 28 Apr 2011 04:59:05 -0700 (PDT)
In-Reply-To: <201104280055.37023.jason.vas.dias@HIDDEN>
References: <201104261338.19261.jason.vas.dias@HIDDEN>
	<201104270048.24483.jason.vas.dias@HIDDEN>
	<BANLkTimKrNwD-p-rgX0yX6vy_hEB95YDHg@HIDDEN>
	<201104280055.37023.jason.vas.dias@HIDDEN>
From: Mike Frysinger <vapier@HIDDEN>
Date: Thu, 28 Apr 2011 07:59:05 -0400
X-Google-Sender-Auth: NF1n1Z-6UWFe0sUHccWwFOUu9Hk
Message-ID: <BANLkTinbojVYEeoNy27LL0amPfRnffvQVw@HIDDEN>
Subject: Re: libtool must not depend on existence of system '/usr/lib*/*.la'
	files
To: jason.vas.dias@HIDDEN
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: 8537
Cc: 8537 <at> debbugs.gnu.org, 8557 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.9 (---)

On Wed, Apr 27, 2011 at 19:55, Jason Vas Dias wrote:
> Then I looked at the /usr/bin/libtool to see what it was doing that could=
 shed light on these bugs;
> that's the only program that libtool installs from its source that one ca=
n test , and is mentioned
> in the documentation - many of the documentation examples would fail if t=
he $CFLAGS used in
> them selects a different $sys_lib_search_path , because the /usr/bin/libt=
ool program would use
> the wrong $sys_lib_search_path_spec setting .

yes, and that is currently expected behavior

> Perhaps a really nice new feature for libtool would be some option to mak=
e all libtool scripts
> not install any .la files in /{,lib,usr/lib}*/ and to ignore any .la file=
s found there ?

i dont think that'd be useful

> Or at least, when some .la is not found, to print which .la it was sourci=
ng that caused it to
> look for the missing .la ? ( Some ".la backtrace" feature ? )

if you run with --debug, you can grep for .la files in the output

although it's usually pretty easy to just look at the output and
guess.  if libtool is invoked with -lfoo and the verbose output from
libtool says /usr/lib/libfoo.so, it most likely hit an .la file for
it.

> And why if the $CFLAGS makes gcc look in /usr/lib32 first , and never loo=
k in /usr/lib64, should ANY
> libtool script be looking for a 32-bit .la or anything =A0in /usr/lib64/ =
?

hardcoding 64bit:/usr/lib64 and 32bit:/usr/lib32 doesnt make sense ...
these are arbitrary conventions picked by gcc specifically for
i686/x86_64 linux targets.  libtool has no concept of multilib today
which is why you have to configure libtool specifically for each
build.

> I thought perhaps it was because those compiled scripts somehow inherited=
 the
> sys_lib_search_path_spec setting behaviour from the /usr/bin/libtool scri=
pt . Why
> install /usr/bin/libtool if it is not meant to be used for anything but g=
cc ?

ultimately this decision is up to your distro provider, but installing
the default libtool is useful for building/linking with the
default/native target.  there are also (poorly written) packages that
invoke `libtool` from $PATH instead of bundling its own local version.

> And I'd still like an answer to the basic question "why is libtool doing =
so much on Linux
> when gcc gets it right on its own" ?

your view of libtool is clouded by your very narrow focus on recent
versions of gcc/Linux targets.  libtool scales to many many more
targets, and its complex system is designed to handle severly
deficient targets.  albeit at the cost of being more complex than
necessary for some modern/sane targets.
-mike




Information forwarded to owner <at> debbugs.gnu.org, bug-libtool@HIDDEN:
bug#8537; Package libtool. Full text available.

Message received at 8537 <at> debbugs.gnu.org:


Received: (at 8537) by debbugs.gnu.org; 27 Apr 2011 23:55:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 27 19:55:57 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QFEaJ-0005b4-V3
	for submit <at> debbugs.gnu.org; Wed, 27 Apr 2011 19:55:56 -0400
Received: from mail-wy0-f172.google.com ([74.125.82.172])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <jason.vas.dias@HIDDEN>)
	id 1QFEaH-0005an-Br; Wed, 27 Apr 2011 19:55:54 -0400
Received: by wyb29 with SMTP id 29so1769115wyb.3
	for <multiple recipients>; Wed, 27 Apr 2011 16:55:47 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=domainkey-signature:from:reply-to:to:subject:date:user-agent
	:references:in-reply-to:cc:mime-version:content-type
	:content-transfer-encoding:message-id;
	bh=feIfYpU6d8yDOoObAJAeps941/Jnp40KzKSXyp02Z2g=;
	b=aTaAgbs2LK8q8gApy9YLDtM7lV9vsJ8mUZa5VCA5gWwQWzgU8RIegc9zlcMeaDxJqK
	KAEZ1KhgUNfMswzM2mthesS17rG6vSVxR8bIjQ4FBN98KAnCQtrjidvuzdTN1DACHM8I
	GxEm9ivTNDYR/vBq4LFfuHJdwKBIwEORNG1z0=
DomainKey-Signature: a=rsa-sha1; c=nofws; d=gmail.com; s=gamma;
	h=from:reply-to:to:subject:date:user-agent:references:in-reply-to:cc
	:mime-version:content-type:content-transfer-encoding:message-id;
	b=LYfFrC7PkxhaPnFC9pNUUPN5ZGT/p3uFEW3xiTPp7bEkrYR5qeeuauT1krWvQHZ/6T
	05XuQJD8xSUzxKCeue5S+K/XIAbONKLZ0Em/BmcZAYAHBUiryKBwVE3A16QYdeBLpejP
	rH6mji04uK4+BP9n7lhcEKfoTuo9Z+9mN8YjY=
Received: by 10.216.144.28 with SMTP id m28mr6436713wej.77.1303948547314;
	Wed, 27 Apr 2011 16:55:47 -0700 (PDT)
Received: from jvdspc (86-45-160-146-dynamic.b-ras2.chf.cork.eircom.net
	[86.45.160.146])
	by mx.google.com with ESMTPS id s40sm609397weq.28.2011.04.27.16.55.45
	(version=SSLv3 cipher=OTHER); Wed, 27 Apr 2011 16:55:46 -0700 (PDT)
From: Jason Vas Dias <jason.vas.dias@HIDDEN>
To: Mike Frysinger <vapier@HIDDEN>
Subject: Re: libtool must not depend on existence of system '/usr/lib*/*.la'
	files
Date: Thu, 28 Apr 2011 00:55:33 +0100
User-Agent: KMail/1.12.4 (Linux/2.6.38.2-jvd; KDE/4.3.4; x86_64; svn-1073138;
	2010-01-11)
References: <201104261338.19261.jason.vas.dias@HIDDEN>
	<201104270048.24483.jason.vas.dias@HIDDEN>
	<BANLkTimKrNwD-p-rgX0yX6vy_hEB95YDHg@HIDDEN>
In-Reply-To: <BANLkTimKrNwD-p-rgX0yX6vy_hEB95YDHg@HIDDEN>
MIME-Version: 1.0
Content-Type: Text/Plain;
  charset="iso-8859-1"
Content-Transfer-Encoding: 7bit
Message-Id: <201104280055.37023.jason.vas.dias@HIDDEN>
X-Spam-Score: -4.4 (----)
X-Debbugs-Envelope-To: 8537
Cc: 8537 <at> debbugs.gnu.org, 8557 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
Reply-To: jason.vas.dias@HIDDEN
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.3 (----)

On Wednesday 27 April 2011 04:14:21 you wrote:
> On Tue, Apr 26, 2011 at 19:48, Jason Vas Dias wrote:
> > And my major primary central questions to the whole libtool community raised in several bug reports (both inadvertently by replying to 'bug-libtool' and
> > intentionally by creating different bugs - sorry ! - there should be only two:  #8537 and #8557 ) is :
> >
> > WHY IS LIBTOOL NOT SETTING $sys_lib_search_path_spec DYNAMICALLY BASED ON $CFLAGS CONTAINING -m$ARCH FLAGS ?
> > WHY IS LIBTOOL SPECIFYING -nostdlibs  -nostdlib \$predep_objects AND SPECIFYING ALL THE "crt*.o" C-RUNTIME OBJECTS ON A GCC / Linux PLATFORM ?
> 
> drop the caps crap.
> 
> the libtool as found in $PATH targets the toolchain is was configured
> for.  this is why libtool is always packaged/generated with the build
> system in packages that use it ... when you configure/build the
> package for a specific target, the local ./libtool is compiled
> properly for that target.  attempting to use `libtool` for anything
> other than the native gcc really isnt its intended use.
> 
> perhaps in the future this might change as an enhancement, but today,
> it sounds like you're just using it wrong.
> -mike
> 
Hi Mike - thanks for responding ! Sorry, I didn't realize capitals were somehow offensive.

RE:  >  the libtool as found in $PATH targets the toolchain is was configured for

Yes,  I know this,  but perhaps I made insufficiently clear what led to me raising these
bugs was the errors / anomalies observed when just running ./libtool via
"configure" / "autogen.sh" and "make" .
Then I looked at the /usr/bin/libtool to see what it was doing that could shed light on these bugs; 
that's the only program that libtool installs from its source that one can test , and is mentioned
in the documentation - many of the documentation examples would fail if the $CFLAGS used in
them selects a different $sys_lib_search_path , because the /usr/bin/libtool program would use
the wrong $sys_lib_search_path_spec setting .

For bug 8537, this was a combination of poppler's libtool using '-nostdlibs' and triggering glibc bug #12454 ,
and for bug 8557, this was mainly because of that stdc++.la being referenced in some installed /usr/lib*/*.la file.

Perhaps a really nice new feature for libtool would be some option to make all libtool scripts not install any .la files in /{,lib,usr/lib}*/  
and to ignore any .la files found there ? Or at least, when some .la is not found, to print which .la it was sourcing that caused it to
look for the missing .la ? ( Some ".la backtrace" feature ? )

And why if the $CFLAGS makes gcc look in /usr/lib32 first , and never look in /usr/lib64, should ANY libtool script be looking for a 32-bit .la 
or anything  in /usr/lib64/ ?

I thought perhaps it was because those compiled scripts somehow inherited the sys_lib_search_path_spec setting behaviour from
the /usr/bin/libtool script . Why install /usr/bin/libtool if it is not meant to be used for anything but gcc ?

Anyway, installing libtool from the GIT head (requiring upgrade to automake-1.11a) seemed to fix the poppler build problem so I guess these
bugs can be closed if noone thinks there are any valid issues raised by them - sorry if this is the case.

I'd like to investigate further exactly why the poppler lib32 build specified -nostdlibs and triggered glibc bug 12454 with libtool-2.4.1 and automake 1.10.3 
but did not with libtool-2.4.1a and automake-1.11a  .

And I'd still like an answer to the basic question "why is libtool doing so much on Linux when gcc gets it right on its own" ?
I don't think libtool should be doing things like forcing a library search path and -nostdlibs and predep_objects and postdep_objects
on gcc when it doesn't actually need to - ie unless there are exceptional circumstances when it is actually required . But this seems to be libtool's default behavior.
I'm curious as to what the rational is in forcing -nostdlib builds that explicitly specify all the CRT objects when gcc generally does this fine,
except in very rare and exceptional circumstances.

But thanks for your help,
all the best,
Jason




Information forwarded to owner <at> debbugs.gnu.org, bug-libtool@HIDDEN:
bug#8537; Package libtool. Full text available.

Message received at 8537 <at> debbugs.gnu.org:


Received: (at 8537) by debbugs.gnu.org; 22 Apr 2011 23:19:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 22 19:19:47 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QDPdb-00088t-4N
	for submit <at> debbugs.gnu.org; Fri, 22 Apr 2011 19:19:47 -0400
Received: from mail-wy0-f172.google.com ([74.125.82.172])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <jason.vas.dias@HIDDEN>) id 1QDPda-00088f-0p
	for 8537 <at> debbugs.gnu.org; Fri, 22 Apr 2011 19:19:46 -0400
Received: by wyb29 with SMTP id 29so700063wyb.3
	for <8537 <at> debbugs.gnu.org>; Fri, 22 Apr 2011 16:19:40 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=domainkey-signature:mime-version:in-reply-to:references:date
	:message-id:subject:from:to:content-type;
	bh=XM+B2FFl/VzuDZxsAxAF/qS7Rpii5p1U4XQC5Rqep+0=;
	b=a6nzakoc1ZvzQYCXXSNK903R+SRLp/MqG8hdTps8TQSMXcfzQbhtGHYT87X8l3SuMG
	UyQFYNi8DcCkHieKKwi5F4gUPGQxnzHhhUYM1kv7/DjII4YxfrVOf3nfa1wM1GpXnyL8
	oVsZGMG7LhAbE40scTrzceHqRNHj2lyGYKD1Q=
DomainKey-Signature: a=rsa-sha1; c=nofws; d=gmail.com; s=gamma;
	h=mime-version:in-reply-to:references:date:message-id:subject:from:to
	:content-type;
	b=tUMr1chQLpeZ1ECPjIWDi1KkNSreTCKKDyPT6I5w2eRilcF2ZCSEbmyvMwLsiYued/
	Q2PA5trRP13IKXXlJtOpCOVyDaKgv4MvngWNewlI5DHQjj/7Z6cuK2gkJVymIvK3Pmvs
	gei/IMkIyFpGsfKZh/QJ8XbblOD2rePc7Jg+k=
MIME-Version: 1.0
Received: by 10.216.139.42 with SMTP id b42mr1559501wej.37.1303514380326; Fri,
	22 Apr 2011 16:19:40 -0700 (PDT)
Received: by 10.216.13.73 with HTTP; Fri, 22 Apr 2011 16:19:40 -0700 (PDT)
In-Reply-To: <BANLkTikw5DMfbX=6azBvC67PnF+FFJ2onA@HIDDEN>
References: <BANLkTinGYQnyPZY8bYd5ML__Gf0Mfd-TqA@HIDDEN>
	<BANLkTi=wT=v29=ztLh9p=REfyV5vCNBKgQ@HIDDEN>
	<BANLkTikZNSjBwfTJmrJ0+hsXhMbv3dDiUw@HIDDEN>
	<BANLkTim_i-aSTJRES7WQ0vtpXcgMvX1=Dw@HIDDEN>
	<BANLkTi=G8BBd_HU_gBqO1kS83_Ysq72NQg@HIDDEN>
	<BANLkTimBTZKtF9vecFL1jaZf2gZEjxj44A@HIDDEN>
	<BANLkTi=8py59i6rMuraaD8vO8pVnqh3t_A@HIDDEN>
	<BANLkTime=TBTJi+88FTYBA4-y9=VM95Pgw@HIDDEN>
	<BANLkTikw5DMfbX=6azBvC67PnF+FFJ2onA@HIDDEN>
Date: Sat, 23 Apr 2011 00:19:40 +0100
Message-ID: <BANLkTi=gizgcRkoVXX+ckg4UKqk1KuN3EA@HIDDEN>
Subject: Re: oops, NOTABUG - sorry, oops, STILLABUG
From: Jason Vas Dias <jason.vas.dias@HIDDEN>
To: 8537 <at> debbugs.gnu.org
Content-Type: multipart/mixed; boundary=0016e6d7853c99567204a18a1737
X-Spam-Score: -3.7 (---)
X-Debbugs-Envelope-To: 8537
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.7 (---)

--0016e6d7853c99567204a18a1737
Content-Type: text/plain; charset=ISO-8859-1

version that DOES set predep_objects and postdep_objects - appears to
be no difference - both work for x86_64 + i686 poppler build - so why
specify the crt* objects when gcc does this OK ?

--0016e6d7853c99567204a18a1737
Content-Type: application/octet-stream; name="libtool-8537.patch"
Content-Disposition: attachment; filename="libtool-8537.patch"
Content-Transfer-Encoding: base64
X-Attachment-Id: f_gmtqrusm1
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==
--0016e6d7853c99567204a18a1737--




Information forwarded to owner <at> debbugs.gnu.org, bug-libtool@HIDDEN:
bug#8537; Package libtool. Full text available.

Message received at 8537 <at> debbugs.gnu.org:


Received: (at 8537) by debbugs.gnu.org; 22 Apr 2011 23:12:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 22 19:12:08 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QDPWB-0007yK-UT
	for submit <at> debbugs.gnu.org; Fri, 22 Apr 2011 19:12:08 -0400
Received: from mail-wy0-f172.google.com ([74.125.82.172])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <jason.vas.dias@HIDDEN>) id 1QDPW9-0007xm-5K
	for 8537 <at> debbugs.gnu.org; Fri, 22 Apr 2011 19:12:05 -0400
Received: by wyb29 with SMTP id 29so698144wyb.3
	for <8537 <at> debbugs.gnu.org>; Fri, 22 Apr 2011 16:11:59 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=domainkey-signature:mime-version:in-reply-to:references:date
	:message-id:subject:from:to:content-type;
	bh=xT4hn2jpGXs51fZC+nz4yQ6yR5xVWh0m+lPoXaInIPQ=;
	b=e3xSd+klsmK+3vshAK5I9MfAFiQUFGU5A10LLy7L+tELXh7RWJU2TJkDICQvIyFudD
	KsDLkBbV6wS9+uJTqLwwLkObVAqdRandjgMGw0e6SNPIJnhJGQ/qq/QN1dbTQmMy1AcN
	VFrQWcK55cAf+HiUPtqaOXemLAyzUr7m0fcO4=
DomainKey-Signature: a=rsa-sha1; c=nofws; d=gmail.com; s=gamma;
	h=mime-version:in-reply-to:references:date:message-id:subject:from:to
	:content-type;
	b=f4ncVfaaOQziyxs1NqBYXtalYiTkK1NOHfuAHYCUxT1n3HAXz2dvRuXFTbZqx1rirp
	As0CMcp+aWRpzHU78bRbnLlosJ0l4KGNgYdbP2Ti94iu+Tyw/1HvToeXBxszBopiLeHo
	yZLYkeqYDHHrW19MDXzDRSMuVUUBIBO1M9+GA=
MIME-Version: 1.0
Received: by 10.216.139.42 with SMTP id b42mr1555314wej.37.1303513919429; Fri,
	22 Apr 2011 16:11:59 -0700 (PDT)
Received: by 10.216.13.73 with HTTP; Fri, 22 Apr 2011 16:11:59 -0700 (PDT)
In-Reply-To: <BANLkTime=TBTJi+88FTYBA4-y9=VM95Pgw@HIDDEN>
References: <BANLkTinGYQnyPZY8bYd5ML__Gf0Mfd-TqA@HIDDEN>
	<BANLkTi=wT=v29=ztLh9p=REfyV5vCNBKgQ@HIDDEN>
	<BANLkTikZNSjBwfTJmrJ0+hsXhMbv3dDiUw@HIDDEN>
	<BANLkTim_i-aSTJRES7WQ0vtpXcgMvX1=Dw@HIDDEN>
	<BANLkTi=G8BBd_HU_gBqO1kS83_Ysq72NQg@HIDDEN>
	<BANLkTimBTZKtF9vecFL1jaZf2gZEjxj44A@HIDDEN>
	<BANLkTi=8py59i6rMuraaD8vO8pVnqh3t_A@HIDDEN>
	<BANLkTime=TBTJi+88FTYBA4-y9=VM95Pgw@HIDDEN>
Date: Sat, 23 Apr 2011 00:11:59 +0100
Message-ID: <BANLkTikw5DMfbX=6azBvC67PnF+FFJ2onA@HIDDEN>
Subject: Re: oops, NOTABUG - sorry, oops, STILLABUG
From: Jason Vas Dias <jason.vas.dias@HIDDEN>
To: 8537 <at> debbugs.gnu.org
Content-Type: multipart/mixed; boundary=0016e6d7853c209ddb04a189fc04
X-Spam-Score: -3.7 (---)
X-Debbugs-Envelope-To: 8537
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.7 (---)

--0016e6d7853c209ddb04a189fc04
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable

version that does NOT specifiy postdep_objects or predep_objects - WHY
second guess gcc ? this works OK too.

On Fri, Apr 22, 2011 at 11:59 PM, Jason Vas Dias
<jason.vas.dias@HIDDEN> wrote:
> should be last version - please have a look - I know I have to port
> this to be against the actual libtool source rather than installed
> file,
> but I could do with some advice here =A0- thanks !
>
> On Fri, Apr 22, 2011 at 10:57 PM, Jason Vas Dias
> <jason.vas.dias@HIDDEN> wrote:
>> more complete patch to replace last one - this one actually builds
>> both poppler x86_64 and poppler i686 OK .
>>
>

--0016e6d7853c209ddb04a189fc04
Content-Type: application/octet-stream; name="libtool-8537.patch"
Content-Disposition: attachment; filename="libtool-8537.patch"
Content-Transfer-Encoding: base64
X-Attachment-Id: f_gmtqhm8b1
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--0016e6d7853c209ddb04a189fc04--




Information forwarded to owner <at> debbugs.gnu.org, bug-libtool@HIDDEN:
bug#8537; Package libtool. Full text available.

Message received at 8537 <at> debbugs.gnu.org:


Received: (at 8537) by debbugs.gnu.org; 22 Apr 2011 22:59:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 22 18:59:55 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QDPKL-0006uh-Qk
	for submit <at> debbugs.gnu.org; Fri, 22 Apr 2011 18:59:54 -0400
Received: from mail-ww0-f46.google.com ([74.125.82.46])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <jason.vas.dias@HIDDEN>) id 1QDPKK-0006uV-2V
	for 8537 <at> debbugs.gnu.org; Fri, 22 Apr 2011 18:59:52 -0400
Received: by wwb28 with SMTP id 28so992576wwb.15
	for <8537 <at> debbugs.gnu.org>; Fri, 22 Apr 2011 15:59:46 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=domainkey-signature:mime-version:in-reply-to:references:date
	:message-id:subject:from:to:content-type;
	bh=OcHv0aV4piWdPNGpEDXUEmunRdFWz99nygzTzU6nUaI=;
	b=JWStD8LBl55IXf+bZC7w1oNZveJbIl9kPCIhYaFzZtadZ9zxth39rJP68C+QxNtOPK
	3qGo0CMobdKldja4S03i9eTD6AJdW3bqtw/cylSMt566bFxsb5pJKiPmIoB0ThJONE8X
	aiXQUZTkRbc+aFwJsfUCG1kcDOlDXlbx4ZLqA=
DomainKey-Signature: a=rsa-sha1; c=nofws; d=gmail.com; s=gamma;
	h=mime-version:in-reply-to:references:date:message-id:subject:from:to
	:content-type;
	b=eCDUhf7Xyv2zA6Wh89rCqVNV/4O2dAMuexWSnO5z3HyUhmYLJLQjmZKApjtnRZBeOQ
	p/UQHiCWl+PTsZULNY9/QArJJGwxdLPIh2l+jnaUJgRycXF+uQQ/A6FLDZu4H7zOcWFK
	UcIzcMG8ZT7NVHv+TKbQNhr66SyuNCNaBBlfI=
MIME-Version: 1.0
Received: by 10.216.139.42 with SMTP id b42mr1548450wej.37.1303513186409; Fri,
	22 Apr 2011 15:59:46 -0700 (PDT)
Received: by 10.216.13.73 with HTTP; Fri, 22 Apr 2011 15:59:46 -0700 (PDT)
In-Reply-To: <BANLkTi=8py59i6rMuraaD8vO8pVnqh3t_A@HIDDEN>
References: <BANLkTinGYQnyPZY8bYd5ML__Gf0Mfd-TqA@HIDDEN>
	<BANLkTi=wT=v29=ztLh9p=REfyV5vCNBKgQ@HIDDEN>
	<BANLkTikZNSjBwfTJmrJ0+hsXhMbv3dDiUw@HIDDEN>
	<BANLkTim_i-aSTJRES7WQ0vtpXcgMvX1=Dw@HIDDEN>
	<BANLkTi=G8BBd_HU_gBqO1kS83_Ysq72NQg@HIDDEN>
	<BANLkTimBTZKtF9vecFL1jaZf2gZEjxj44A@HIDDEN>
	<BANLkTi=8py59i6rMuraaD8vO8pVnqh3t_A@HIDDEN>
Date: Fri, 22 Apr 2011 23:59:46 +0100
Message-ID: <BANLkTime=TBTJi+88FTYBA4-y9=VM95Pgw@HIDDEN>
Subject: Re: oops, NOTABUG - sorry, oops, STILLABUG
From: Jason Vas Dias <jason.vas.dias@HIDDEN>
To: 8537 <at> debbugs.gnu.org
Content-Type: multipart/mixed; boundary=0016e6d7853c6f9ed604a189d0e0
X-Spam-Score: -3.7 (---)
X-Debbugs-Envelope-To: 8537
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.7 (---)

--0016e6d7853c6f9ed604a189d0e0
Content-Type: text/plain; charset=ISO-8859-1

should be last version - please have a look - I know I have to port
this to be against the actual libtool source rather than installed
file,
but I could do with some advice here  - thanks !

On Fri, Apr 22, 2011 at 10:57 PM, Jason Vas Dias
<jason.vas.dias@HIDDEN> wrote:
> more complete patch to replace last one - this one actually builds
> both poppler x86_64 and poppler i686 OK .
>

--0016e6d7853c6f9ed604a189d0e0
Content-Type: application/octet-stream; name="libtool-8537.patch"
Content-Disposition: attachment; filename="libtool-8537.patch"
Content-Transfer-Encoding: base64
X-Attachment-Id: f_gmtq113j1
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--0016e6d7853c6f9ed604a189d0e0--




Information forwarded to owner <at> debbugs.gnu.org, bug-libtool@HIDDEN:
bug#8537; Package libtool. Full text available.

Message received at 8537 <at> debbugs.gnu.org:


Received: (at 8537) by debbugs.gnu.org; 22 Apr 2011 21:57:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 22 17:57:48 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QDOMG-0003vu-0Y
	for submit <at> debbugs.gnu.org; Fri, 22 Apr 2011 17:57:48 -0400
Received: from mail-wy0-f172.google.com ([74.125.82.172])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <jason.vas.dias@HIDDEN>) id 1QDOME-0003vj-Ix
	for 8537 <at> debbugs.gnu.org; Fri, 22 Apr 2011 17:57:47 -0400
Received: by wyb29 with SMTP id 29so676676wyb.3
	for <8537 <at> debbugs.gnu.org>; Fri, 22 Apr 2011 14:57:40 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=domainkey-signature:mime-version:in-reply-to:references:date
	:message-id:subject:from:to:content-type;
	bh=kDl1j2UeGKQxMSkCOedJulOtU509Rb2dgi0o1mswPog=;
	b=mm7YVGaoNdQ/H+vAKfG/zdQokkHiQok3Sam7DseMYtrxg5tnGYuIf2UHSmey/XvVna
	5kZ1Nzs2lDnq0Bc9FF/kzkso/9OmlfE8aPou9wjA5Ae7nCtHeQTpi9g2vt7EvPM1wnCN
	AvYRY20MRcAhbx5/fxkejptoYdvXscvBAQgKI=
DomainKey-Signature: a=rsa-sha1; c=nofws; d=gmail.com; s=gamma;
	h=mime-version:in-reply-to:references:date:message-id:subject:from:to
	:content-type;
	b=EP672ScZJmMbng+Qr0k3hHafPAkP3mJMe4UNiqeeh7DsnzIe+z22MA3fLjKvfa2xqX
	vtlurX6Ku8vnHU1hly7Gk+gnVFd1aARgHTE+GaV7wsYYhXLCeT0nbOxYfSrnaWuewaUG
	l6TZr8ljREcVyBSUYXIJ7AVt/W7QJrhdHVo1Q=
MIME-Version: 1.0
Received: by 10.216.121.200 with SMTP id r50mr1102812weh.7.1303509460628; Fri,
	22 Apr 2011 14:57:40 -0700 (PDT)
Received: by 10.216.13.73 with HTTP; Fri, 22 Apr 2011 14:57:40 -0700 (PDT)
In-Reply-To: <BANLkTimBTZKtF9vecFL1jaZf2gZEjxj44A@HIDDEN>
References: <BANLkTinGYQnyPZY8bYd5ML__Gf0Mfd-TqA@HIDDEN>
	<BANLkTi=wT=v29=ztLh9p=REfyV5vCNBKgQ@HIDDEN>
	<BANLkTikZNSjBwfTJmrJ0+hsXhMbv3dDiUw@HIDDEN>
	<BANLkTim_i-aSTJRES7WQ0vtpXcgMvX1=Dw@HIDDEN>
	<BANLkTi=G8BBd_HU_gBqO1kS83_Ysq72NQg@HIDDEN>
	<BANLkTimBTZKtF9vecFL1jaZf2gZEjxj44A@HIDDEN>
Date: Fri, 22 Apr 2011 22:57:40 +0100
Message-ID: <BANLkTi=8py59i6rMuraaD8vO8pVnqh3t_A@HIDDEN>
Subject: Re: oops, NOTABUG - sorry, oops, STILLABUG
From: Jason Vas Dias <jason.vas.dias@HIDDEN>
To: 8537 <at> debbugs.gnu.org
Content-Type: multipart/mixed; boundary=00261883bd5a5cb59504a188f27e
X-Spam-Score: -3.7 (---)
X-Debbugs-Envelope-To: 8537
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.7 (---)

--00261883bd5a5cb59504a188f27e
Content-Type: text/plain; charset=ISO-8859-1

more complete patch to replace last one - this one actually builds
both poppler x86_64 and poppler i686 OK .

--00261883bd5a5cb59504a188f27e
Content-Type: application/octet-stream; name="libtool-8537.patch"
Content-Disposition: attachment; filename="libtool-8537.patch"
Content-Transfer-Encoding: base64
X-Attachment-Id: f_gmtnuujo1
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--00261883bd5a5cb59504a188f27e--




Information forwarded to owner <at> debbugs.gnu.org, bug-libtool@HIDDEN:
bug#8537; Package libtool. Full text available.

Message received at 8537 <at> debbugs.gnu.org:


Received: (at 8537) by debbugs.gnu.org; 22 Apr 2011 20:39:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 22 16:39:12 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QDN8C-0001Oq-Jh
	for submit <at> debbugs.gnu.org; Fri, 22 Apr 2011 16:39:12 -0400
Received: from mail-wy0-f172.google.com ([74.125.82.172])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <jason.vas.dias@HIDDEN>) id 1QDN89-0001Ob-3J
	for 8537 <at> debbugs.gnu.org; Fri, 22 Apr 2011 16:39:09 -0400
Received: by wyb29 with SMTP id 29so649249wyb.3
	for <8537 <at> debbugs.gnu.org>; Fri, 22 Apr 2011 13:39:03 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=domainkey-signature:mime-version:in-reply-to:references:date
	:message-id:subject:from:to:content-type;
	bh=4OQWT2PRzYiygAOD+2bkatiED0byNH5Bs5V41erlfcw=;
	b=CIHncZjFq5jMRpJUjdUluzN8abmzxszuEUYv15m/F4rSzi5vzuLirI5GNV655g3PBJ
	YRX/S04uxsl1PD8FNMwtQX8v/aQ9gJpiacoXdoTQ3f3PSje1CBUSRH+3P6CjSkeL/t2D
	WkAEDrwwF0ZdrQ4SPRAD59cMbHcyeQWxEAXxc=
DomainKey-Signature: a=rsa-sha1; c=nofws; d=gmail.com; s=gamma;
	h=mime-version:in-reply-to:references:date:message-id:subject:from:to
	:content-type;
	b=ZtZnMWXEmmdHpO3ynMisqGKOzXY9LqnAj0mSB6Ltk9fXy/2SytXBQ4bjZtGlsrl0qc
	uqBmxqiV/Ut293wzZXDic1Dhco7rG/4op8MAaQ+dekR6+B2Ge9+COS/zUdCtGZJJ5Ttx
	noDMZU/b0FoTheKicCiNZwyroMOTWe8LzXT2I=
MIME-Version: 1.0
Received: by 10.216.139.42 with SMTP id b42mr1471728wej.37.1303504743436; Fri,
	22 Apr 2011 13:39:03 -0700 (PDT)
Received: by 10.216.13.73 with HTTP; Fri, 22 Apr 2011 13:39:03 -0700 (PDT)
In-Reply-To: <BANLkTi=G8BBd_HU_gBqO1kS83_Ysq72NQg@HIDDEN>
References: <BANLkTinGYQnyPZY8bYd5ML__Gf0Mfd-TqA@HIDDEN>
	<BANLkTi=wT=v29=ztLh9p=REfyV5vCNBKgQ@HIDDEN>
	<BANLkTikZNSjBwfTJmrJ0+hsXhMbv3dDiUw@HIDDEN>
	<BANLkTim_i-aSTJRES7WQ0vtpXcgMvX1=Dw@HIDDEN>
	<BANLkTi=G8BBd_HU_gBqO1kS83_Ysq72NQg@HIDDEN>
Date: Fri, 22 Apr 2011 21:39:03 +0100
Message-ID: <BANLkTimBTZKtF9vecFL1jaZf2gZEjxj44A@HIDDEN>
Subject: Re: oops, NOTABUG - sorry, oops, STILLABUG
From: Jason Vas Dias <jason.vas.dias@HIDDEN>
To: 8537 <at> debbugs.gnu.org
Content-Type: multipart/mixed; boundary=0016e6d7853c3212df04a187d900
X-Spam-Score: -3.8 (---)
X-Debbugs-Envelope-To: 8537
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.8 (---)

--0016e6d7853c3212df04a187d900
Content-Type: text/plain; charset=ISO-8859-1

PATCH :   make libtool honor gcc -print-search-dirs and
/etc/ld.so.conf properly under a '$ setarch '{alternate
sub-architecture: eg i686 on x86_64}

[ root@jvdspc:/tmp/poppler 21:34:17 604:103 ]
$ diff -U0 /usr/bin/libtool /tmp/libtool
--- /usr/bin/libtool    2011-04-13 15:49:58.000000000 +0100
+++ /tmp/libtool        2011-04-22 21:33:50.551636478 +0100
@@ -275 +275 @@
-sys_lib_search_path_spec="/usr/lib64/gcc/x86_64-pc-linux-gnu/lib64
/usr/lib64 /lib64 /usr/x86_64-pc-linux-gnu/lib "
+sys_lib_search_path_spec="$(${CC:-gcc} $CFLAGS -print-search-dirs
|sed -n '/^libraries:/{s/^libraries[:=\ \       ]*//;s/:/\ /g;p}')"
@@ -278 +278 @@
-sys_lib_dlsearch_path_spec="/lib /usr/lib /usr/lib64 /lib64
/usr/lib64/gcc/x86_64-pc-linux-gnu/lib64
/usr/lib64/gcc/x86_64-pc-linux-gnu/4.6.0 /usr/qt/4.6/lib64
/usr/kde/4.3/lib64 /usr/java/lib64 /usr/lib32 /lib32
/usr/lib64/gcc/x86_64-pc-linux-gnu/lib32
/usr/lib64/gcc/x86_64-pc-linux-gnu/4.6.0/32
/usr/lib32/opengl/xorg-x11/lib /usr/lib32/nspr /usr/lib32/nss
/usr/java/lib32 "
+sys_lib_dlsearch_path_spec="cpp /etc/ld.so.conf | egrep -v '^\#' | tr '\n' ' '"
[ root@jvdspc:/tmp/poppler 21:37:01 605:104 ]

--0016e6d7853c3212df04a187d900
Content-Type: application/octet-stream; name="libtool-8537.patch"
Content-Disposition: attachment; filename="libtool-8537.patch"
Content-Transfer-Encoding: base64
X-Attachment-Id: f_gmtl0nti0

LS0tIC91c3IvYmluL2xpYnRvb2wJMjAxMS0wNC0xMyAxNTo0OTo1OC4wMDAwMDAwMDAgKzAxMDAK
KysrIC90bXAvbGlidG9vbAkyMDExLTA0LTIyIDIxOjMzOjUwLjU1MTYzNjQ3OCArMDEwMApAQCAt
Mjc1ICsyNzUgQEAKLXN5c19saWJfc2VhcmNoX3BhdGhfc3BlYz0iL3Vzci9saWI2NC9nY2MveDg2
XzY0LXBjLWxpbnV4LWdudS9saWI2NCAvdXNyL2xpYjY0IC9saWI2NCAvdXNyL3g4Nl82NC1wYy1s
aW51eC1nbnUvbGliICIKK3N5c19saWJfc2VhcmNoX3BhdGhfc3BlYz0iJCgke0NDOi1nY2N9ICRD
RkxBR1MgLXByaW50LXNlYXJjaC1kaXJzIHxzZWQgLW4gJy9ebGlicmFyaWVzOi97cy9ebGlicmFy
aWVzWzo9XCBcICAgICAgIF0qLy87cy86L1wgL2c7cH0nKSIKQEAgLTI3OCArMjc4IEBACi1zeXNf
bGliX2Rsc2VhcmNoX3BhdGhfc3BlYz0iL2xpYiAvdXNyL2xpYiAvdXNyL2xpYjY0IC9saWI2NCAv
dXNyL2xpYjY0L2djYy94ODZfNjQtcGMtbGludXgtZ251L2xpYjY0IC91c3IvbGliNjQvZ2NjL3g4
Nl82NC1wYy1saW51eC1nbnUvNC42LjAgL3Vzci9xdC80LjYvbGliNjQgL3Vzci9rZGUvNC4zL2xp
YjY0IC91c3IvamF2YS9saWI2NCAvdXNyL2xpYjMyIC9saWIzMiAvdXNyL2xpYjY0L2djYy94ODZf
NjQtcGMtbGludXgtZ251L2xpYjMyIC91c3IvbGliNjQvZ2NjL3g4Nl82NC1wYy1saW51eC1nbnUv
NC42LjAvMzIgL3Vzci9saWIzMi9vcGVuZ2wveG9yZy14MTEvbGliIC91c3IvbGliMzIvbnNwciAv
dXNyL2xpYjMyL25zcyAvdXNyL2phdmEvbGliMzIgIgorc3lzX2xpYl9kbHNlYXJjaF9wYXRoX3Nw
ZWM9ImNwcCAvZXRjL2xkLnNvLmNvbmYgfCBlZ3JlcCAtdiAnXlwjJyB8IHRyICdcbicgJyAnIgo=
--0016e6d7853c3212df04a187d900--




Information forwarded to owner <at> debbugs.gnu.org, bug-libtool@HIDDEN:
bug#8537; Package libtool. Full text available.

Message received at 8537 <at> debbugs.gnu.org:


Received: (at 8537) by debbugs.gnu.org; 22 Apr 2011 20:26:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 22 16:26:48 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QDMwC-00016U-34
	for submit <at> debbugs.gnu.org; Fri, 22 Apr 2011 16:26:48 -0400
Received: from mail-wy0-f172.google.com ([74.125.82.172])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <jason.vas.dias@HIDDEN>) id 1QDMw9-00016G-4m
	for 8537 <at> debbugs.gnu.org; Fri, 22 Apr 2011 16:26:45 -0400
Received: by wyb29 with SMTP id 29so644773wyb.3
	for <8537 <at> debbugs.gnu.org>; Fri, 22 Apr 2011 13:26:39 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=domainkey-signature:mime-version:in-reply-to:references:date
	:message-id:subject:from:to:content-type;
	bh=NTsYKkaVDFEiK49DQ1ku2pMuBdSyzbCVcAlO9Lyo9zw=;
	b=bqFpEBSqeywyWj0EkEXQJjvDHcn1mt7JJfahX0Vd1o0CZ9KiSzriC2LsUgx86SskjZ
	Hjra9IOl+hAkWcppp4CgRUtjl1/voAoTH1/aCdzSgJfL2ikeM/K7byZhmflXeD+GMfgA
	WUaTLLwb1G78/ZYDDs7AOOeQDUS5RbR7Uw7I8=
DomainKey-Signature: a=rsa-sha1; c=nofws; d=gmail.com; s=gamma;
	h=mime-version:in-reply-to:references:date:message-id:subject:from:to
	:content-type;
	b=inJWYQnY4UK8gSi9npYgU8eXVGPez3ZjWGsHTBcCmLKSj0M2pASUFYLPbMDl4VvajK
	6s8nzmmBzo3T7FnSwyKBRwk+DCfoXDQUC38oTpJ2jRS0lUcop9xwgh2rwVHrTs3RMyNz
	6bIq7VfHnrP3UI4U0OK890oq6SWf7yzNk0P2c=
MIME-Version: 1.0
Received: by 10.216.80.131 with SMTP id k3mr1071271wee.37.1303503999479; Fri,
	22 Apr 2011 13:26:39 -0700 (PDT)
Received: by 10.216.13.73 with HTTP; Fri, 22 Apr 2011 13:26:39 -0700 (PDT)
In-Reply-To: <BANLkTim_i-aSTJRES7WQ0vtpXcgMvX1=Dw@HIDDEN>
References: <BANLkTinGYQnyPZY8bYd5ML__Gf0Mfd-TqA@HIDDEN>
	<BANLkTi=wT=v29=ztLh9p=REfyV5vCNBKgQ@HIDDEN>
	<BANLkTikZNSjBwfTJmrJ0+hsXhMbv3dDiUw@HIDDEN>
	<BANLkTim_i-aSTJRES7WQ0vtpXcgMvX1=Dw@HIDDEN>
Date: Fri, 22 Apr 2011 21:26:39 +0100
Message-ID: <BANLkTi=G8BBd_HU_gBqO1kS83_Ysq72NQg@HIDDEN>
Subject: Re: oops, NOTABUG - sorry, oops, STILLABUG
From: Jason Vas Dias <jason.vas.dias@HIDDEN>
To: 8537 <at> debbugs.gnu.org
Content-Type: text/plain; charset=ISO-8859-1
X-Spam-Score: -3.8 (---)
X-Debbugs-Envelope-To: 8537
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.8 (---)

Wow, I'm having some luck today:

Generating a patch for the fix to this bug exposes a diffutils bug:

$ diff -U0 /tmp/libtool /usr/bin/libtool
--- /tmp/libtool        2011-04-22 21:22:30.316689243 +0100
+++ /usr/bin/libtool    2011-04-13 15:49:58.000000000 +0100
@@ -275 +275 @@
-sys_lib_search_path_spec="$(${CC:-gcc} $CFLAGS -print-search-dirs
|sed -n '/^libraries:/{s/^libraries[:=\ \       ]*//;s/:/\ /g;p}')"
+sys_lib_search_path_spec="/usr/lib64/gcc/x86_64-pc-linux-gnu/lib64
/usr/lib64 /lib64 /usr/x86_64-pc-linux-gnu/lib "
[ root@jvdspc:/tmp/poppler 21:23:22 598:97 ]
$ diff -u /tmp/libtool /usr/bin/libtool
--- /tmp/libtool        2011-04-22 21:22:30.316689243 +0100
+++ /usr/bin/libtool    2011-04-13 15:49:58.000000000 +0100
@@ -272,7 +272,7 @@
 hardcode_into_libs=yes

 # Compile-time system search path for libraries.
-sys_lib_search_path_spec="$(${CC:-gcc} $CFLAGS -print-search-dirs
|sed -n '/^libraries:/{s/^libraries[:=\ \       ]*//;s/:/\ /g;p}')"
+sys_lib_search_path_spec="/usr/lib64/gcc/x86_64-pc-linux-gnu/lib64
/usr/lib64 /lib64 /usr/x86_64-pc-linux-gnu/lib "

 # Run-time system search path for libraries.
 sys_lib_dlsearch_path_spec="/lib /usr/lib /usr/lib64 /lib64
/usr/lib64/gcc/x86_64-pc-linux-gnu/lib64
/usr/lib64/gcc/x86_64-pc-linux-gnu/4.6.0 /usr/qt/4.6/lib64
/usr/kde/4.3/lib64 /usr/java/lib64 /usr/lib32 /lib32
/usr/lib64/gcc/x86_64-pc-linux-gnu/lib32
/usr/lib64/gcc/x86_64-pc-linux-gnu/4.6.0/32
/usr/lib32/opengl/xorg-x11/lib /usr/lib32/nspr /usr/lib32/nss
/usr/java/lib32 "




Information forwarded to owner <at> debbugs.gnu.org, bug-libtool@HIDDEN:
bug#8537; Package libtool. Full text available.

Message received at 8537 <at> debbugs.gnu.org:


Received: (at 8537) by debbugs.gnu.org; 22 Apr 2011 19:17:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 22 15:17:04 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QDLqh-000812-NP
	for submit <at> debbugs.gnu.org; Fri, 22 Apr 2011 15:17:03 -0400
Received: from mail-ww0-f42.google.com ([74.125.82.42])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <jason.vas.dias@HIDDEN>) id 1QDLqg-00080W-OZ
	for 8537 <at> debbugs.gnu.org; Fri, 22 Apr 2011 15:17:03 -0400
Received: by wwk4 with SMTP id 4so33671wwk.3
	for <8537 <at> debbugs.gnu.org>; Fri, 22 Apr 2011 12:16:57 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=domainkey-signature:mime-version:in-reply-to:references:date
	:message-id:subject:from:to:content-type;
	bh=x8HQZQ2zukx+jUXb4UOPyj1/V7KZA5Uu34PeBxT3zxk=;
	b=w3SqvbvkBo2y1mYX+9UfszekMViHd4S5atorOFrYqBaRsmvRxfZIeaqu4oyYWMqgo1
	SVKzlagc13efSZAPJCoxsBwvmlcW/ThV97fnvNNVcSUGE4A9yOUh7hQVC70RHriAzE91
	Ln0AOKuvUkHUmMddMijJCZQpuKOHOu2bBrRuY=
DomainKey-Signature: a=rsa-sha1; c=nofws; d=gmail.com; s=gamma;
	h=mime-version:in-reply-to:references:date:message-id:subject:from:to
	:content-type;
	b=jW0xSuPCoChniRTfKCtkXjAknvUCkx7R6sm22tqawDmLli6Qv21ZTX/f6EKjRsjzHD
	SZEYJ+dcF7oQ+NmsI7OwFu+ZE5dGBldCq+6BjUcrbLEhhQsPlvdYSnDsI78D29LR1cDf
	1LPqsngZPriyrUYyL3EtkDAs/E+oMyMa9KDdQ=
MIME-Version: 1.0
Received: by 10.216.139.42 with SMTP id b42mr1421048wej.37.1303499816149; Fri,
	22 Apr 2011 12:16:56 -0700 (PDT)
Received: by 10.216.13.73 with HTTP; Fri, 22 Apr 2011 12:16:56 -0700 (PDT)
In-Reply-To: <BANLkTikZNSjBwfTJmrJ0+hsXhMbv3dDiUw@HIDDEN>
References: <BANLkTinGYQnyPZY8bYd5ML__Gf0Mfd-TqA@HIDDEN>
	<BANLkTi=wT=v29=ztLh9p=REfyV5vCNBKgQ@HIDDEN>
	<BANLkTikZNSjBwfTJmrJ0+hsXhMbv3dDiUw@HIDDEN>
Date: Fri, 22 Apr 2011 20:16:56 +0100
Message-ID: <BANLkTim_i-aSTJRES7WQ0vtpXcgMvX1=Dw@HIDDEN>
Subject: Re: oops, NOTABUG - sorry, oops, STILLABUG
From: Jason Vas Dias <jason.vas.dias@HIDDEN>
To: 8537 <at> debbugs.gnu.org
Content-Type: text/plain; charset=ISO-8859-1
X-Spam-Score: -3.8 (---)
X-Debbugs-Envelope-To: 8537
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.8 (---)

$ ls -l /usr/lib64/gcc/x86_64-pc-linux-gnu/4.6.0/32/libstdc++.so{,.6.0.15}
lrwxrwxrwx 1 root root      19 Apr  8 03:50
/usr/lib64/gcc/x86_64-pc-linux-gnu/4.6.0/32/libstdc++.so ->
libstdc++.so.6.0.15
-rwxr-xr-x 1 root root 4554464 Apr  8 03:45
/usr/lib64/gcc/x86_64-pc-linux-gnu/4.6.0/32/libstdc++.so.6.0.15
[ root@jvdspc:/tmp/poppler 20:12:02 591:91 ]
$ cat /etc/ld.so.conf
/usr/lib64
/lib64
/usr/lib64/gcc/x86_64-pc-linux-gnu/lib64
/usr/lib64/gcc/x86_64-pc-linux-gnu/4.6.0
/usr/lib64/nspr
/usr/lib64/nss
/usr/qt/4.6/lib64
/usr/kde/4.3/lib64
/usr/java/lib64
/usr/lib32
/lib32
/usr/lib64/gcc/x86_64-pc-linux-gnu/lib32
/usr/lib64/gcc/x86_64-pc-linux-gnu/4.6.0/32
/usr/lib32/nspr
/usr/lib32/nss
/usr/java/lib32


Now, the native 64-bit ld.so.conf value should NOT override in libtool
the first directory printed by 'gcc -print-search-dirs | grep
libraries'
or that found by doing 'cd ${LIBDIR:-/usr/lib}/$(gcc $CFLAGS
-print-multi-os-directory}; pwd' - because this value is what gcc uses
internally for its libraries, NOT the ld.so.conf value .




Information forwarded to owner <at> debbugs.gnu.org, bug-libtool@HIDDEN:
bug#8537; Package libtool. Full text available.

Message received at 8537 <at> debbugs.gnu.org:


Received: (at 8537) by debbugs.gnu.org; 22 Apr 2011 19:04:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 22 15:04:03 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QDLe7-0007iy-67
	for submit <at> debbugs.gnu.org; Fri, 22 Apr 2011 15:04:03 -0400
Received: from mail-ww0-f46.google.com ([74.125.82.46])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <jason.vas.dias@HIDDEN>) id 1QDLe1-0007iV-A0
	for 8537 <at> debbugs.gnu.org; Fri, 22 Apr 2011 15:04:02 -0400
Received: by wwb28 with SMTP id 28so876490wwb.15
	for <8537 <at> debbugs.gnu.org>; Fri, 22 Apr 2011 12:03:51 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=domainkey-signature:mime-version:in-reply-to:references:date
	:message-id:subject:from:to:content-type:content-transfer-encoding;
	bh=WZ1LE8yct0KstoB7vDymX1Awca6uA/qEHg2yoN7Y9UI=;
	b=guj6LxhT3HoCR5FGoQa5TM9Ev8ASvuf4tzAec/SPTrtkRVHZYnTupke5+rdeIB2VcV
	bu8gHDYG5A4QhePFJ6NLFSy3GibLr3pKTVcG+5Uh6mrBP6h1+mv46H7pVtVA2YO8l9Ip
	tLF3QoKtrDE1tDmXqxZt484YDDAHLd98r2JyA=
DomainKey-Signature: a=rsa-sha1; c=nofws; d=gmail.com; s=gamma;
	h=mime-version:in-reply-to:references:date:message-id:subject:from:to
	:content-type:content-transfer-encoding;
	b=WJMDstKa6Vkvom2EPdCXiCrfeh0hOLVE+B1forwGR1EXJtoub9QTfZrsCykwPipduo
	G8A6R7rfJk4UdnR99sDDYvv4la49YXEtEYxUKgNTWmpzzh6UqfmNHmnHMGrRnYnOS4s4
	moUSqi5k/R1kk/Tj0KIHAZ55d8+3UKTQg6sSw=
MIME-Version: 1.0
Received: by 10.216.80.131 with SMTP id k3mr1016777wee.37.1303499031564; Fri,
	22 Apr 2011 12:03:51 -0700 (PDT)
Received: by 10.216.13.73 with HTTP; Fri, 22 Apr 2011 12:03:51 -0700 (PDT)
In-Reply-To: <BANLkTi=wT=v29=ztLh9p=REfyV5vCNBKgQ@HIDDEN>
References: <BANLkTinGYQnyPZY8bYd5ML__Gf0Mfd-TqA@HIDDEN>
	<BANLkTi=wT=v29=ztLh9p=REfyV5vCNBKgQ@HIDDEN>
Date: Fri, 22 Apr 2011 20:03:51 +0100
Message-ID: <BANLkTikZNSjBwfTJmrJ0+hsXhMbv3dDiUw@HIDDEN>
Subject: Re: oops, NOTABUG - sorry, oops, STILLABUG
From: Jason Vas Dias <jason.vas.dias@HIDDEN>
To: 8537 <at> debbugs.gnu.org
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -3.9 (---)
X-Debbugs-Envelope-To: 8537
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.9 (---)

$ gcc -m32 -print-search-dirs | grep libraries
libraries: =3D/usr/lib64/gcc/x86_64-pc-linux-gnu/4.6.0/32/:/usr/lib64/gcc/x=
86_64-pc-linux-gnu/4.6.0/../../../../x86_64-pc-linux-gnu/lib/x86_64-pc-linu=
x-gnu/4.6.0/32/:/usr/lib64/gcc/x86_64-pc-linux-gnu/4.6.0/../../../../x86_64=
-pc-linux-gnu/lib/../lib32/:/usr/lib64/gcc/x86_64-pc-linux-gnu/4.6.0/../../=
../x86_64-pc-linux-gnu/4.6.0/32/:/usr/lib64/gcc/x86_64-pc-linux-gnu/4.6.0/.=
./../../../lib32/:/lib/x86_64-pc-linux-gnu/4.6.0/32/:/lib/../lib32/:/usr/li=
b/x86_64-pc-linux-gnu/4.6.0/32/:/usr/lib/../lib32/:/usr/lib64/gcc/x86_64-pc=
-linux-gnu/4.6.0/:/usr/lib64/gcc/x86_64-pc-linux-gnu/4.6.0/../../../../x86_=
64-pc-linux-gnu/lib/x86_64-pc-linux-gnu/4.6.0/:/usr/lib64/gcc/x86_64-pc-lin=
ux-gnu/4.6.0/../../../../x86_64-pc-linux-gnu/lib/:/usr/lib64/gcc/x86_64-pc-=
linux-gnu/4.6.0/../../../x86_64-pc-linux-gnu/4.6.0/:/usr/lib64/gcc/x86_64-p=
c-linux-gnu/4.6.0/../../../:/lib/x86_64-pc-linux-gnu/4.6.0/:/lib/:/usr/lib/=
x86_64-pc-linux-gnu/4.6.0/:/usr/lib/
$ gcc -m32 -print-multi-os-directory
../lib32

The $LIBDIR during the poppler  build was /usr/lib32, so this can't be
an autoconf / automake issue.

If libtool is using some variant of the above gcc command to determine
the correct -L option for the gcc libraries, WHY
isn't it using the FIRST value gcc emits ?

What  libtool  should be doing instead is using something like :

  -L$(cd ${LIBDIR:-/usr/lib}/$($CC $CFLAGS -print-multi-os-directory) ; pwd=
;)




Information forwarded to owner <at> debbugs.gnu.org, bug-libtool@HIDDEN:
bug#8537; Package libtool. Full text available.

Message received at 8537 <at> debbugs.gnu.org:


Received: (at 8537) by debbugs.gnu.org; 22 Apr 2011 18:54:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 22 14:54:40 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QDLV2-0007Vn-BA
	for submit <at> debbugs.gnu.org; Fri, 22 Apr 2011 14:54:40 -0400
Received: from mail-wy0-f172.google.com ([74.125.82.172])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <jason.vas.dias@HIDDEN>) id 1QDLV0-0007Vb-H4
	for 8537 <at> debbugs.gnu.org; Fri, 22 Apr 2011 14:54:38 -0400
Received: by wyb29 with SMTP id 29so607970wyb.3
	for <8537 <at> debbugs.gnu.org>; Fri, 22 Apr 2011 11:54:33 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=domainkey-signature:mime-version:in-reply-to:references:date
	:message-id:subject:from:to:content-type;
	bh=I/S84fxmDkeADw437pGPVMWm1OH4AEY5svvcdM8ONdU=;
	b=mydxjlmRDiL3qgPQA1uDFCh+YWC+4/TIaX91upgs3by8wN8QTHBuUCmcxVPzBJbhmJ
	BtspAkr9mRaZpQ8Roq980CyS+GNBCG/iWUW9PyhcJM7ajdKr/G6aOnyqUOaXYjasBJcs
	pYpndvVM4rhZf1E9IHekh7oH3RRKoPrK8Vmss=
DomainKey-Signature: a=rsa-sha1; c=nofws; d=gmail.com; s=gamma;
	h=mime-version:in-reply-to:references:date:message-id:subject:from:to
	:content-type;
	b=vB/tyYWou656aVZorNC2qF0PK7O9btJZWLXZGQROSPVHx5pGlD7dH4psE7rhqduRQy
	RPv0TEyKuZN2JTBPGyIzfUqtGX1g3foIwcx6CpyF4xy0rz2h3xuafeaSLiaWhC0DSE/J
	Ji95qeK1aTQl5Y9tfvyERl2sYiuo/o5iaHt+o=
MIME-Version: 1.0
Received: by 10.216.232.8 with SMTP id m8mr1411362weq.22.1303498472985; Fri,
	22 Apr 2011 11:54:32 -0700 (PDT)
Received: by 10.216.13.73 with HTTP; Fri, 22 Apr 2011 11:54:32 -0700 (PDT)
In-Reply-To: <BANLkTinGYQnyPZY8bYd5ML__Gf0Mfd-TqA@HIDDEN>
References: <BANLkTinGYQnyPZY8bYd5ML__Gf0Mfd-TqA@HIDDEN>
Date: Fri, 22 Apr 2011 19:54:32 +0100
Message-ID: <BANLkTi=wT=v29=ztLh9p=REfyV5vCNBKgQ@HIDDEN>
Subject: Re: oops, NOTABUG - sorry, oops, STILLABUG
From: Jason Vas Dias <jason.vas.dias@HIDDEN>
To: 8537 <at> debbugs.gnu.org
Content-Type: text/plain; charset=ISO-8859-1
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: 8537
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.9 (---)

So, WHY OH WHY is libtool inserting
-L/usr/lib64/gcc/x86_64-pc-linux-gnu/4.6.0/../../../../lib64 ?
Do I need to be running some special 32-bit /usr/bin/32/libtool for
building 32-bit packages ?




Information forwarded to owner <at> debbugs.gnu.org, bug-libtool@HIDDEN:
bug#8537; Package libtool. Full text available.

Message received at 8537 <at> debbugs.gnu.org:


Received: (at 8537) by debbugs.gnu.org; 22 Apr 2011 18:49:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 22 14:49:42 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QDLQE-0007Ob-8O
	for submit <at> debbugs.gnu.org; Fri, 22 Apr 2011 14:49:42 -0400
Received: from mail-wy0-f172.google.com ([74.125.82.172])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <jason.vas.dias@HIDDEN>) id 1QDLQB-0007ON-5g
	for 8537 <at> debbugs.gnu.org; Fri, 22 Apr 2011 14:49:39 -0400
Received: by wyb29 with SMTP id 29so605398wyb.3
	for <8537 <at> debbugs.gnu.org>; Fri, 22 Apr 2011 11:49:33 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=domainkey-signature:mime-version:date:message-id:subject:from:to
	:content-type; bh=mcQQkdRFIvyf2V2kIyI+AUVvwnZx5ud906OrX8mp0xw=;
	b=TG4tQcHWgBmIh2uetM7Dw48SOTH4ou4+RNatqqLCnd44yNw3tQma36leKxEBnL6xjF
	xQamYvZscU+FzpHgHPA+LVjIKKhHRgx24VsvZqDUgwYJd8p5wtendvpfPVJ6O6W/IbxC
	7N6LtXmqsoQSySvS7og6Tz4ARc2Ps0BqvSMbQ=
DomainKey-Signature: a=rsa-sha1; c=nofws; d=gmail.com; s=gamma;
	h=mime-version:date:message-id:subject:from:to:content-type;
	b=H5hknl98/ResvbCJAIEa2KEKyC0fZzHXzFzYRtMJwUhoThjTt7qTS0eIIf5YLe0bds
	Aj2kmZjB7NI90Wyofzc4+mCqbhZwu7ctn0qW/XMW9DXC+DZ+3Y68noQgUVM7S+/N2KRZ
	S8lb0eyZc98H0rB8rGB+xxjBya6LVPguWdopI=
MIME-Version: 1.0
Received: by 10.216.186.82 with SMTP id v60mr981958wem.52.1303498173471; Fri,
	22 Apr 2011 11:49:33 -0700 (PDT)
Received: by 10.216.13.73 with HTTP; Fri, 22 Apr 2011 11:49:33 -0700 (PDT)
Date: Fri, 22 Apr 2011 19:49:33 +0100
Message-ID: <BANLkTinGYQnyPZY8bYd5ML__Gf0Mfd-TqA@HIDDEN>
Subject: RE: oops, NOTABUG - sorry, oops, STILLABUG
From: Jason Vas Dias <jason.vas.dias@HIDDEN>
To: 8537 <at> debbugs.gnu.org
Content-Type: text/plain; charset=ISO-8859-1
X-Spam-Score: -4.2 (----)
X-Debbugs-Envelope-To: 8537
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.1 (----)

OK, so now we get to the final link - I've totally removed the old
/usr/bin/32/ binutils stuff, and no */32 is in $PATH, but still
libtool fails:

libtool: link: g++  -fPIC -DPIC -shared -nostdlib
/usr/lib64/gcc/x86_64-pc-linux-gnu/4.6.0/../../../../lib64/crti.o
/usr/lib64/gcc/x86_64-pc-linux-gnu/4.6.0/crtbeginS.o
.libs/SplashOutputDev.o .libs/DCTStream.o .libs/JPXStream.o
.libs/Annot.o .libs/Array.o .libs/BuiltinFont.o
.libs/BuiltinFontTables.o .libs/CachedFile.o .libs/Catalog.o
.libs/CharCodeToUnicode.o .libs/CMap.o .libs/DateInfo.o
.libs/Decrypt.o .libs/Dict.o .libs/Error.o .libs/FileSpec.o
.libs/FontEncodingTables.o .libs/Form.o .libs/FontInfo.o
.libs/Function.o .libs/Gfx.o .libs/GfxFont.o .libs/GfxState.o
.libs/GlobalParams.o .libs/Hints.o .libs/JArithmeticDecoder.o
.libs/JBIG2Stream.o .libs/Lexer.o .libs/Linearization.o .libs/Link.o
.libs/LocalPDFDocBuilder.o .libs/Movie.o .libs/NameToCharCode.o
.libs/Object.o .libs/OptionalContent.o .libs/Outline.o
.libs/OutputDev.o .libs/Page.o .libs/PageTransition.o .libs/Parser.o
.libs/PDFDoc.o .libs/PDFDocEncoding.o .libs/PDFDocFactory.o
.libs/PopplerCache.o .libs/ProfileData.o .libs/PreScanOutputDev.o
.libs/PSTokenizer.o .libs/Rendition.o .libs/StdinCachedFile.o
.libs/StdinPDFDocBuilder.o .libs/Stream.o .libs/strtok_r.o
.libs/UnicodeMap.o .libs/UnicodeTypeTable.o .libs/ViewerPreferences.o
.libs/XRef.o .libs/PSOutputDev.o .libs/TextOutputDev.o
.libs/PageLabelInfo.o .libs/SecurityHandler.o .libs/Sound.o
.libs/XpdfPluginAPI.o  -Wl,--whole-archive ../goo/.libs/libgoo.a
../fofi/.libs/libfofi.a ../splash/.libs/libsplash.a
-Wl,--no-whole-archive  /usr/lib32/libtiff.so -L/usr/lib32
/usr/lib32/libjpeg.so /usr/lib32/libpng15.so /usr/lib32/libfreetype.so
-lz -lfontconfig -L/usr/lib64/gcc/x86_64-pc-linux-gnu/4.6.0
-L/usr/lib64/gcc/x86_64-pc-linux-gnu/4.6.0/../../../../lib64
-L/lib/../lib64 -L/usr/lib/../lib64
-L/usr/lib64/gcc/x86_64-pc-linux-gnu/4.6.0/../../../../x86_64-pc-linux-gnu/lib
-L/usr/lib64/gcc/x86_64-pc-linux-gnu/4.6.0/../../..
/usr/lib64/gcc/x86_64-pc-linux-gnu/4.6.0/libstdc++.so -lm -lc -lgcc_s
/usr/lib64/gcc/x86_64-pc-linux-gnu/4.6.0/crtendS.o
/usr/lib64/gcc/x86_64-pc-linux-gnu/4.6.0/../../../../lib64/crtn.o
-m32 -O2 -pthread -Wl,-L/usr/lib64/gcc/x86_64-pc-linux-gnu/4.6.0/32
-Wl,-L/usr/lib64/gcc/x86_64-pc-linux-gnu/lib32 -Wl,-L/usr/lib32
-Wl,-L/lib32 -Wl,-R/usr/lib64/gcc/x86_64-pc-linux-gnu/4.6.0/32:/usr/lib64/gcc/x86_64-pc-linux-gnu/4.6.0/lib32:/usr/lib32:/lib32
-Wl,--dynamic-linker -Wl,/lib32/ld-linux.so.2   -pthread -Wl,-soname
-Wl,libpoppler.so.14 -o .libs/libpoppler.so.14.0.0
/usr/lib64/gcc/x86_64-pc-linux-gnu/4.6.0/libstdc++.so: could not read
symbols: File in wrong format




Information forwarded to owner <at> debbugs.gnu.org, bug-libtool@HIDDEN:
bug#8537; Package libtool. Full text available.

Message received at 8537 <at> debbugs.gnu.org:


Received: (at 8537) by debbugs.gnu.org; 22 Apr 2011 18:35:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 22 14:35:48 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QDLCl-00074M-NG
	for submit <at> debbugs.gnu.org; Fri, 22 Apr 2011 14:35:48 -0400
Received: from mail-wy0-f172.google.com ([74.125.82.172])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <jason.vas.dias@HIDDEN>) id 1QDLCj-000746-Ag
	for 8537 <at> debbugs.gnu.org; Fri, 22 Apr 2011 14:35:45 -0400
Received: by wyb29 with SMTP id 29so599684wyb.3
	for <8537 <at> debbugs.gnu.org>; Fri, 22 Apr 2011 11:35:39 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=domainkey-signature:mime-version:date:message-id:subject:from:to
	:content-type; bh=nc5GVibCM1r6dlKqYle5xen3dmmd/+fjpwqwORTQ+aU=;
	b=IJidoI0bwoPHYuqBFuKAU6GSieVcPjv5+nu0+mI/3GANyO7WQYoYbkOWlcuGH1TNMv
	fF3CPlqmIcahALZUlxFy2HyBne+pQcaek2z530AyDKZ+xX/p9ZoK57lQEm31l/Pi789M
	wbMvmY+WIZHNforIcuugMXNbPmTEEi337Yrvg=
DomainKey-Signature: a=rsa-sha1; c=nofws; d=gmail.com; s=gamma;
	h=mime-version:date:message-id:subject:from:to:content-type;
	b=mEDy7ZSbjAIgf+KuMNgfT3mU0F0fkQdD74FmyrNu/TH8+VJRfVgDH5LKZQzmhR/sP9
	0mRkYiD1nq6d6As4cRy+WYc8UcjXfwnvSr/ZX6YXvtI/CBUe0ZuBpDVz4B8EdVXTxJoI
	yqFi+HGjCu2/VBZWqcz17Rh40EcKKC1ys++L0=
MIME-Version: 1.0
Received: by 10.216.82.77 with SMTP id n55mr1381519wee.52.1303497339574; Fri,
	22 Apr 2011 11:35:39 -0700 (PDT)
Received: by 10.216.13.73 with HTTP; Fri, 22 Apr 2011 11:35:39 -0700 (PDT)
Date: Fri, 22 Apr 2011 19:35:39 +0100
Message-ID: <BANLkTimNXT=TxBQSHg+g-Rx6xH21EagXEA@HIDDEN>
Subject: RE: 2.4 : triggers libc "nlist > 1" assertion failure from --link in
From: Jason Vas Dias <jason.vas.dias@HIDDEN>
To: 8537 <at> debbugs.gnu.org
Content-Type: text/plain; charset=ISO-8859-1
X-Spam-Score: -4.8 (----)
X-Debbugs-Envelope-To: 8537
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.4 (----)

Oops, NOTABUG - this bug should be changed to be an "Enhancement Request" :

If any libtool generated shell command or pipeline fails, it should
print details of at
least the file and line number but preferably the whole command that
failed, to stderr .

What had happened was, usually I have ONLY 32-bit programs such as
/sbin/32/ldconfig
(which configures /etc/32/ld.so.cache using /etc/32/ld.so.conf ),
which absolutely must
be 32-bit, are installed on my system; but a an old non multilib
version of a 32-bit binutils got restored
(for another test) under /usr/bin/32 which I had forgotten about,  and
I had not set
$AR or $RANLIB to /usr/bin/{ar,ranlib}  . Sorry !

But I would never have raised this bug had libtool printed out something like :
  /usr/bin/32/ar failed : ...

libtool was creating an intermediary ar archive here - why ? I had not
requested --enable-static .
And what was that about the poppler generated libtool printing out
"-32 : command not found" ??




Information forwarded to owner <at> debbugs.gnu.org, bug-libtool@HIDDEN:
bug#8537; Package libtool. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 22 Apr 2011 17:00:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 22 13:00:56 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QDJix-0004ym-3T
	for submit <at> debbugs.gnu.org; Fri, 22 Apr 2011 13:00:55 -0400
Received: from eggs.gnu.org ([140.186.70.92])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <jason.vas.dias@HIDDEN>) id 1QDJRL-0004Xp-5d
	for submit <at> debbugs.gnu.org; Fri, 22 Apr 2011 12:42:43 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <jason.vas.dias@HIDDEN>) id 1QDJRE-0002S9-U4
	for submit <at> debbugs.gnu.org; Fri, 22 Apr 2011 12:42:38 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.6 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	RCVD_IN_DNSWL_LOW,RFC_ABUSE_POST,T_DKIM_INVALID autolearn=unavailable
	version=3.3.1
Received: from lists.gnu.org ([140.186.70.17]:47696)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <jason.vas.dias@HIDDEN>) id 1QDJRE-0002S5-SS
	for submit <at> debbugs.gnu.org; Fri, 22 Apr 2011 12:42:36 -0400
Received: from eggs.gnu.org ([140.186.70.92]:36766)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <jason.vas.dias@HIDDEN>) id 1QDJRD-0004C2-O9
	for bug-libtool@HIDDEN; Fri, 22 Apr 2011 12:42:36 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <jason.vas.dias@HIDDEN>) id 1QDJRC-0002Rq-Fl
	for bug-libtool@HIDDEN; Fri, 22 Apr 2011 12:42:35 -0400
Received: from mail-wy0-f169.google.com ([74.125.82.169]:44910)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <jason.vas.dias@HIDDEN>) id 1QDJRC-0002Rl-7f
	for bug-libtool@HIDDEN; Fri, 22 Apr 2011 12:42:34 -0400
Received: by wyf19 with SMTP id 19so659047wyf.0
	for <bug-libtool@HIDDEN>; Fri, 22 Apr 2011 09:42:32 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=domainkey-signature:mime-version:date:message-id:subject:from:to
	:content-type:content-transfer-encoding;
	bh=fhY4YNb6G63k1ZfxDwJoVq2+fGKB3p7yYdx90+n+PyI=;
	b=bn2RIKq6hmOFyAB3cbZhVRUsp8XAFvTIPfLJrrhtqsVICA86Hc1dCmsTQ54tttEjro
	c2c8XRUO1rjRJ7eU/dJF1MTg4nS2FOTNzObW3Jh9YEYp6lfg+AW02Kx/q64EWRauNwSY
	1K0n5KNVcAHDKYnPZL0TRizRLjdT9uoRnc0NQ=
DomainKey-Signature: a=rsa-sha1; c=nofws; d=gmail.com; s=gamma;
	h=mime-version:date:message-id:subject:from:to:content-type
	:content-transfer-encoding;
	b=L/EZX0YYc1VPFCojWzvtOPq7ye1vlQa4ntWqMfYFkQGSPEKgqbPZjscWEoh2X7Hzth
	h12IT1IKAwO2yswD8MTNdSqgwN4qRz2U1XlZSg6gIo1aP6/D4ktJ1cQBDks6697s1zCR
	lcJd6rypR59mFDgeqLx5qnXN/Wm8YDR7Tw+Bs=
MIME-Version: 1.0
Received: by 10.216.80.131 with SMTP id k3mr910164wee.37.1303490552321; Fri,
	22 Apr 2011 09:42:32 -0700 (PDT)
Received: by 10.216.13.73 with HTTP; Fri, 22 Apr 2011 09:42:32 -0700 (PDT)
Date: Fri, 22 Apr 2011 17:42:32 +0100
Message-ID: <BANLkTi=F72Ft=zOHSvcrYN6dZLUHfqDwyQ@HIDDEN>
Subject: 2.4 : triggers libc "nlist > 1" assertion failure from --link in
	'setarch i686' environment
From: Jason Vas Dias <jason.vas.dias@HIDDEN>
To: bug-libtool@HIDDEN, Gordon Matzigkeit <gord@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 2)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 140.186.70.17
X-Spam-Score: -5.9 (-----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Fri, 22 Apr 2011 13:00:54 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -5.9 (-----)

Hi Gordon, bug-libtool members - this is my first post to this list,
so please reply to : jason.vas.dias@HIDDEN

I believe I may have found a libtool (or possibly a libtool-triggered
glibc or binutils) bug :

In a "setarch i686" environment on a linux-x86_64 host, where
EVERYTHING (more or less) is at the latest
available stable upstream version - especially :

$ setarch i686
$ echo eval $(echo "307  export CC=3D/usr/bin/gcc' -m32'
  308  export GCC=3D/usr/bin/gcc' -m32'
  309  export CXX=3D/usr/bin/g++' -m32'
  310  export LD=3D/usr/bin/ld' -melf_i386'
  311  export AS=3D/usr/bin/as' -32'
  313  export CFLAGS=3D'-march=3Di686 -mtune=3Dgeneric -g -O2 -fPIC -DPIC
-Wa,--compress-debug-sections'
  314  export LDFLAGS=3D'-Wl,-L/usr/lib64/gcc/x86_64-pc-linux-gnu/4.6.0/32,=
-L/usr/lib64/gcc/x86_64-pc-linux-gnu/lib32,-L/usr/lib32,-L/lib32,-R/usr/lib=
64/gcc/x86_64-pc-linux-gnu/4.6.0/32:/usr/lib64/gcc/x86_64-pc-linux-gnu/4.6.=
0/lib32:/usr/lib32:/lib32,--dynamic-linker,/lib32/ld-linux.so.2'
" | sed 's/^[\ \        ]*[0-9]*[\ \    ]*//'); export
PKG_CONFIG_PATH=3D/usr/lib32/pkgconfig/; export
PATH=3D/bin/32:/usr/bin/32:/bin:/usr/bin:/sbin/32:/usr/sbin/32
eval export CC=3D/usr/bin/gcc' -m32' export GCC=3D/usr/bin/gcc' -m32'
export CXX=3D/usr/bin/g++' -m32' export LD=3D/usr/bin/ld' -melf_i386'
export AS=3D/usr/bin/as' -32' export CFLAGS=3D'-march=3Di686 -mtune=3Dgener=
ic
-g -O2 -fPIC -DPIC -Wa,--compress-debug-sections' export
LDFLAGS=3D'-Wl,-L/usr/lib64/gcc/x86_64-pc-linux-gnu/4.6.0/32,-L/usr/lib64/g=
cc/x86_64-pc-linux-gnu/lib32,-L/usr/lib32,-L/lib32,-R/usr/lib64/gcc/x86_64-=
pc-linux-gnu/4.6.0/32:/usr/lib64/gcc/x86_64-pc-linux-gnu/4.6.0/lib32:/usr/l=
ib32:/lib32,--dynamic-linker,/lib32/ld-linux.so.2'
$ ( $CC --version;  $LD --version;  $AS --version; ldconfig --version;
libtool --version; autoconf --version; automake --version ) | egrep
'[(]G'
gcc (GCC) 4.6.0
GNU ld (GNU Binutils) 2.21.51.20110407
GNU assembler (GNU Binutils) 2.21.51.20110407
ldconfig (GNU libc) 2.13
libtool (GNU libtool) 2.4
autoconf (GNU Autoconf) 2.68
automake (GNU automake) 1.10.3

$ $(CC) --print-multi-os-directory
../lib32

I do for instance :

$  /usr/src/poppler/configure --prefix=3D/usr --libdir=3D/usr/lib32
....

but make fails :

$ make
  CXXLD  libgoo.la
Inconsistency detected by ld.so: dl-deps.c: 622: _dl_map_object_deps:
Assertion `nlist > 1' failed!
make: *** [libgoo.la] Error 127

but I can do:

$ cd goo/.libs
$ /usr/bin/g++ -m32  -shared -Wall -Wno-write-strings
-Woverloaded-virtual -Wnon-virtual-dtor -Wcast-align -fno-exceptions
-fno-check-new -fno-common -g -O2 -ansi
-Wl,-L/usr/lib64/gcc/x86_64-pc-linux-gnu/4.6.0/32,-L/usr/lib64/gcc/x86_64-p=
c-linux-gnu/lib32,-L/usr/lib32,-L/lib32,-R/usr/lib64/gcc/x86_64-pc-linux-gn=
u/4.6.0/32:/usr/lib64/gcc/x86_64-pc-linux-gnu/4.6.0/lib32:/usr/lib32:/lib32=
,--dynamic-linker,/lib32/ld-linux.so.2
-o libgoo.so  $(echo gfile.lo gmempp.lo GooHash.lo GooList.lo
GooTimer.lo GooString.lo gmem.lo FixedPoint.lo PNGWriter.lo
JpegWriter.lo TiffWriter.lo ImgWriter.lo gstrtod.lo | sed
's/\.l/./g') -ltiff -ljpeg -lpng
$ ls -l libgoo.so ; file libgoo.so
-rwxr-xr-x 1 root root 151006 Apr 22 17:23 libgoo.so
libgoo.so: ELF 32-bit LSB shared object, Intel 80386, version 1
(SYSV), dynamically linked, not stripped

So what is libtool trying to do here that my command isn't ?

Whatever it is, glibc-2.13 doesn't like it, or it caused binutils to
produce a nasty object that glibc doesn't like.

Any advice / suggestions would be much appreciated. Obviously, I'll
have to 'strace -f -e trace=3Dexecve make' . If you'd be interested in
the log, I'll post it.

Incidentally, I had to :
$ rm ./libtool
after the poppler configure, else I got lots of errors :
$ make -j2
make  all-recursive
make[1]: Entering directory `/tmp/poppler'
Making all in goo
make[2]: Entering directory `/tmp/poppler/goo'
  CXX    gfile.lo
  CXX    gmempp.lo
../libtool: line 42: -32: command not found
../libtool: line 42: -32: command not found
  CXX    GooHash.lo
../libtool: line 42: -32: command not found
  CXX    GooList.lo
../libtool: line 42: -32: command not found

But if I remove what was generated during configure as ../libtool
(from goo/) , no such messages appear.

Thank you for the otherwise great libtool and in advance for any replies !
All the best,
Jason




Acknowledgement sent to Jason Vas Dias <jason.vas.dias@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-libtool@HIDDEN. Full text available.
Report forwarded to owner <at> debbugs.gnu.org, bug-libtool@HIDDEN:
bug#8537; Package libtool. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.